#!/usr/bin/env bash

REPO="code.lab.cowley.tech/homelab/proxy-test"
VERSION="$(date +%s)"
BRANCH="$(git branch --show-current)"
GITREF="$(git rev-parse --short HEAD)"

if [ "$(git branch --show-current)" == "main" ]
then
  docker build -t "${REPO}:${VERSION}-${BRANCH}-${GITREF}" .
  docker tag "${REPO}:${VERSION}-${BRANCH}-${GITREF}" "${REPO}:latest"
  docker push "${REPO}:${VERSION}-${BRANCH}-${GITREF}"
  docker push "${REPO}:latest"
fi
